Package org.apache.lucene.index

# Class SimpleMergedSegmentWarmer

java.lang.Object
org.apache.lucene.index.SimpleMergedSegmentWarmer

All Implemented Interfaces:
  `IndexWriter.IndexReaderWarmer`

public class SimpleMergedSegmentWarmer extends Object implements IndexWriter.IndexReaderWarmer
A very simple merged segment warmer that just ensures data structures are initialized.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleMergedSegmentWarmer(InfoStream infoStream)`
  Creates a new SimpleMergedSegmentWarmer

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `warm(LeafReader reader)`
  Invoked on the `LeafReader` for the newly merged segment, before that segment is made visible to near-real-time readers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleMergedSegmentWarmer

    public SimpleMergedSegmentWarmer(InfoStream infoStream)
    Creates a new SimpleMergedSegmentWarmer
    Parameters:
      `infoStream` - InfoStream to log statistics about warming.

- ## Method Details

  - ### warm

    public void warm(LeafReader reader) throws IOException
    Description copied from interface: `IndexWriter.IndexReaderWarmer`
    Invoked on the `LeafReader` for the newly merged segment, before that segment is made visible to near-real-time readers.
    Specified by:
      `warm` in interface `IndexWriter.IndexReaderWarmer`
    Throws:
      `IOException`